Bug 806102 - CVE-2012-1419 CVE-2012-1443 CVE-2012-1457 CVE-2012-1458 CVE-2012-1459 clamav various flaws [fedora-all]
CVE-2012-1419 CVE-2012-1443 CVE-2012-1457 CVE-2012-1458 CVE-2012-1459 clamav ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: clamav (Show other bugs)
16
All Linux
medium Severity medium
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-1419 CVE-2012-1457 CVE-2012-1443 CVE-2012-1458 CVE-2012-1459
  Show dependency treegraph
 
Reported: 2012-03-22 17:25 EDT by Vincent Danen
Modified: 2013-01-29 17:55 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-29 17:55:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-03-22 17:25:31 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=806092

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2012-03-22 17:25:54 EDT
    Adding parent bug CVE-2012-1443
    New bodhi update url:
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=806092,806097
Comment 2 Vincent Danen 2012-03-22 17:26:25 EDT
    Adding parent bug CVE-2012-1457
    New bodhi update url:
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=806092,806097,806094
Comment 3 Vincent Danen 2012-03-22 17:27:02 EDT
    Adding parent bug CVE-2012-1458
    New bodhi update url:
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=806092,806097,806094,806100
Comment 4 Vincent Danen 2012-03-22 17:27:41 EDT
    Adding parent bug CVE-2012-1459
    New bodhi update url:
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=806092,806097,806094,806100,806101
Comment 5 Sergio Monteiro Basto 2012-06-16 02:40:29 EDT
why clamav-0.97.4-1600.fc16 is not available in updates , neither updates-testing ?
Comment 6 Jan Lieskovsky 2012-06-19 08:47:29 EDT
Enrico,

  looks like upstream ClamAV-0.97.5 version has been released recently:
http://lurker.clamav.net/message/20120613.184156.a6c0b933.en.html

correcting the CVE-2012-1457, CVE-2012-1458, CVE-2012-1459. Could you schedule clamav package updates for Fedora and Fedora EPEL versions, to correct these issues?

Thank you && Regards, Jan.
--
Jan iankko Lieskovsky / Red Hat Security Response Team
Comment 7 Enrico Scholz 2012-06-19 09:23:58 EDT
https://admin.fedoraproject.org/updates/FEDORA-2012-9577/clamav-0.97.5-1600.fc16
https://admin.fedoraproject.org/updates/FEDORA-2012-9563/clamav-0.97.5-1700.fc17

But I would not go so far and call it a "security" update.  Mentioned CVEs are about reducing the detection rate of an heuristic which is far away from providing 100% safety.  There are much more ways to hide a virus (e.g. place them into a rar file, write a custom virus like Flame or Stuxnet).
Comment 8 Sergio Monteiro Basto 2012-09-18 14:35:44 EDT
ClamAV 0.97.6 has been released. 

September 17th, 2012 Posted by -

Dear ClamAV users,

ClamAV 0.97.6 includes minor bug fixes and detection improvements.

Download: http://downloads.sourceforge.net/clamav/clamav-0.97.6.tar.gz
PGP sig: http://downloads.sourceforge.net/clamav/clamav-0.97.6.tar.gz.sig
ChangeLog: https://github.com/vrtadmin/clamav-devel/blob/0.97/ChangeLog

β€”The ClamAV team (http://www.clamav.net/lang/en/about/team/)
Comment 9 Fedora End Of Life 2013-01-16 16:31:47 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Vincent Danen 2013-01-29 17:55:33 EST
These were fixed in clamav-0.97.5.

Note You need to log in before you can comment on or make changes to this bug.